<?php

namespace Litecms\BusList;

use User;

class BusList
{
    /**
     * $bus_lists object.
     */
    protected $bus_lists;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\BusList\Interfaces\BusListsRepositoryInterface $bus_lists)
    {
        $this->bus_lists = $bus_lists;
    }

    /**
     * Returns count of bus_list.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.bus_lists.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->bus_lists->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\BusListsUserCriteria());
        }

        $bus_lists = $this->bus_lists->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('bus_list::' . $view, compact('bus_lists'))->render();
    }
}
